# network qos policy

A Network QoS policy groups a number of Network QoS rules, applied to a network or a port.

Network v2

## network qos policy create

Create a QoS policy

    openstack network qos policy create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--share | --no-share]
        [--project <project>]
        [--project-domain <project-domain>]
        [--default | --no-default]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Description of the QoS policy

--share

  Make the QoS policy accessible by other projects

--no-share

  Make the QoS policy not accessible by other projects (default)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--default

  Set this as a default network QoS policy

--no-default

  Set this as a non-default network QoS policy

name

  Name of QoS policy to create

## network qos policy delete

Delete Qos Policy(s)

    openstack network qos policy delete <qos-policy> [<qos-policy> ...]

qos-policy

  QoS policy(s) to delete (name or ID)

## network qos policy list

List QoS policies

    openstack network qos policy list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--project-domain <project-domain>]
        [--share | --no-share]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  List only QoS policies with the specified project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--share

  List only QoS policies shared between projects

--no-share

  List only QoS policies not shared between projects

## network qos policy set

Set QoS policy properties

    openstack network qos policy set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--name <name>]
        [--description <description>]
        [--share | --no-share]
        [--default
        |
        --no-default
        ]
        <qos-policy>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--name <name>

  Set QoS policy name

--description <description>

  Description of the QoS policy

--share

  Make the QoS policy accessible by other projects

--no-share

  Make the QoS policy not accessible by other projects

--default

  Set this as a default network QoS policy

--no-default

  Set this as a non-default network QoS policy

qos-policy

  QoS policy to modify (name or ID)

## network qos policy show

Display QoS policy details

    openstack network qos policy show <qos-policy>

qos-policy

  QoS policy to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.